<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/bg"
    tools:context="activity.LoginActivity">

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="35dp"
        android:layout_marginTop="70dp"
        android:text="Welcome"
        android:textColor="@color/colorWhite"
        android:textSize="30sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_login_deck"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="35dp"
        android:text="欢迎来到地图寻宝"
        android:textColor="@color/colorWhite"
        android:textSize="35sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title" />

    <TextView
        android:id="@+id/login_name"
        style="@style/text_styles"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="25dp"
        android:text="用户名"
        app:layout_constraintLeft_toLeftOf="@id/tv_login_deck"
        app:layout_constraintTop_toBottomOf="@id/tv_login_deck" />
    <EditText
        android:id="@+id/et_login_name"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:hint=" ID/手机号"
        android:maxLines="1"
        android:textColor="@color/white"
        android:paddingBottom="20dp"
        android:layout_marginRight="35dp"
        android:layout_marginLeft="35dp"
        style="@style/register_hint_style"
        android:textColorHint="@color/colorTransparent"
        android:textCursorDrawable="@drawable/text_color"
        android:theme="@style/MyEditText"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintLeft_toLeftOf="@id/login_name"
        app:layout_constraintTop_toBottomOf="@id/login_name" />
    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginRight="35dp"
        android:layout_marginLeft="35dp"
        android:background="@color/colorHui"
        app:layout_constraintTop_toBottomOf="@id/et_login_name"
        app:layout_constraintLeft_toLeftOf="@id/et_login_name"/>

    <TextView
        android:id="@+id/login_paw"
        style="@style/text_styles"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="25dp"
        android:text="密码"
        app:layout_constraintLeft_toLeftOf="@id/et_login_name"
        app:layout_constraintTop_toBottomOf="@id/et_login_name" />
    <EditText
        android:id="@+id/et_login_paw"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:hint=" 请输入密码"
        android:maxLines="1"
        android:textColor="@color/white"
        android:inputType="textPassword"
        android:paddingBottom="15dp"
        android:layout_marginRight="35dp"
        android:layout_marginLeft="35dp"
        style="@style/register_hint_style"
        android:textColorHint="@color/colorTransparent"
        android:textCursorDrawable="@drawable/text_color"
        android:theme="@style/MyEditText"
        app:layout_constraintEnd_toEndOf="parent"

        app:layout_constraintLeft_toLeftOf="@id/login_paw"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/login_paw"  />

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginRight="35dp"
        android:layout_marginLeft="35dp"
        android:background="@color/colorHui"
        app:layout_constraintTop_toBottomOf="@id/et_login_paw"
        app:layout_constraintLeft_toLeftOf="@id/et_login_paw"/>

    <CheckBox
        android:id="@+id/iv_login_check"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="5dp"
        android:buttonTint="@color/white"
        app:layout_constraintLeft_toLeftOf="@id/et_login_paw"
        app:layout_constraintTop_toBottomOf="@id/et_login_paw" />

    <TextView
        android:id="@+id/tv_statement"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="2dp"
        android:text="免责声明"
        android:textColor="@color/colorWhite"
        app:layout_constraintBottom_toBottomOf="@id/iv_login_check"
        app:layout_constraintLeft_toRightOf="@id/iv_login_check"
        app:layout_constraintTop_toTopOf="@id/iv_login_check" />

    <TextView
        android:id="@+id/tv_register"
        style="@style/text_styles"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:layout_marginRight="10dp"
        android:text="注册"
        app:layout_constraintRight_toLeftOf="@id/tv_forget_paw"
        app:layout_constraintTop_toBottomOf="@id/et_login_paw" />

    <TextView
        android:id="@+id/tv_forget_paw"
        style="@style/text_styles"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:text="忘记密码"
        app:layout_constraintRight_toRightOf="@id/et_login_paw"
        app:layout_constraintTop_toBottomOf="@id/et_login_paw" />

    <Button
        android:id="@+id/btn_login"
        style="@style/login_style"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginTop="30dp"
        android:layout_marginBottom="261dp"
        android:layout_marginRight="40dp"
        android:layout_marginLeft="40dp"
        android:gravity="center"
        android:text="登录"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@+id/et_login_paw"
        app:layout_constraintStart_toStartOf="@+id/et_login_paw"
        app:layout_constraintTop_toBottomOf="@+id/tv_statement" />
</androidx.constraintlayout.widget.ConstraintLayout>